Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
[Groovy] Class InteractiveShellRunner

    java.lang.Object
      org.codehaus.groovy.tools.shell.ShellRunner
          org.codehaus.groovy.tools.shell.InteractiveShellRunner

All Implemented Interfaces:
  Runnable

    class InteractiveShellRunner
    extends ShellRunner

Support for running a Shell interactivly using the JLine library.

Authors:
  Jason Dillon

Version:
  \$Id: InteractiveShellRunner.groovy 8806 2007-10-25 21:58:29Z user57 \$

Field Summary

Fields inherited from class ShellRunner
log

Property Summary
`CommandsMultiCompletor` | `completor`
`Closure` | `prompt`
`jline.ConsoleReader` | `reader`

Constructor Summary
`InteractiveShellRunner(Shell shell, Closure prompt)`

Method Summary
`protected String` | `readLine()`
`void` | `run()`
`void` | `setHistory(jline.History history)`
`void` | `setHistoryFile(File file)`

Methods inherited from class ShellRunner
readLine, run, work

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### completor

    final CommandsMultiCompletor completor

### prompt

    final Closure prompt

### reader

    final jline.ConsoleReader reader

Constructor Detail

### InteractiveShellRunner

    InteractiveShellRunner(Shell shell, Closure prompt)

Method Detail

### readLine

    protected String readLine()

### run

    void run()

### setHistory

    void setHistory(jline.History history)

### setHistoryFile

    void setHistoryFile(File file)

Copyright © 2003-2010 The Codehaus. All rights reserved.